package com.zyc.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;
import com.zyc.common.core.domain.BaseEntity;

/**
 * 数据中心对象 data_centers
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class DataCenters extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 数据中心 */
    @Excel(name = "数据中心")
    private String dataCenter;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 地理位置 */
    @Excel(name = "地理位置")
    private String address;

    /** 建筑面积 */
    @Excel(name = "建筑面积")
    private BigDecimal area;

    /** 机房数量 */
    @Excel(name = "机房数量")
    private Integer rooms;

    /** 双市电输入 */
    @Excel(name = "双市电输入")
    private Integer doublePower;

    /** 联系人 */
    @Excel(name = "联系人")
    private String admin;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String moible;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setDataCenter(String dataCenter) 
    {
        this.dataCenter = dataCenter;
    }

    public String getDataCenter() 
    {
        return dataCenter;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setAddress(String address) 
    {
        this.address = address;
    }

    public String getAddress() 
    {
        return address;
    }
    public void setArea(BigDecimal area) 
    {
        this.area = area;
    }

    public BigDecimal getArea() 
    {
        return area;
    }
    public void setRooms(Integer rooms) 
    {
        this.rooms = rooms;
    }

    public Integer getRooms() 
    {
        return rooms;
    }
    public void setDoublePower(Integer doublePower) 
    {
        this.doublePower = doublePower;
    }

    public Integer getDoublePower() 
    {
        return doublePower;
    }
    public void setAdmin(String admin) 
    {
        this.admin = admin;
    }

    public String getAdmin() 
    {
        return admin;
    }
    public void setMoible(String moible) 
    {
        this.moible = moible;
    }

    public String getMoible() 
    {
        return moible;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("dataCenter", getDataCenter())
            .append("name", getName())
            .append("address", getAddress())
            .append("area", getArea())
            .append("rooms", getRooms())
            .append("doublePower", getDoublePower())
            .append("admin", getAdmin())
            .append("moible", getMoible())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
